my $expected_version = "2.1.1";
print("import: Data::Predicate\n");
use Data::Predicate;

if (defined Data::Predicate->VERSION) {
	my $given_version = Data::Predicate->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Data::Predicate->VERSION . '
');

}
print("import: Data::Predicate::ClosurePredicate\n");
use Data::Predicate::ClosurePredicate;

if (defined Data::Predicate::ClosurePredicate->VERSION) {
	my $given_version = Data::Predicate::ClosurePredicate->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Data::Predicate::ClosurePredicate->VERSION . '
');

}
print("import: Data::Predicate::Predicates\n");
use Data::Predicate::Predicates;

if (defined Data::Predicate::Predicates->VERSION) {
	my $given_version = Data::Predicate::Predicates->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Data::Predicate::Predicates->VERSION . '
');

}
